# Uses of Class
net.sourceforge.jiu.ops.WrongParameterException

Packages that use WrongParameterException
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.tiff
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.filters
net.sourceforge.jiu.geometry
net.sourceforge.jiu.ops

## Uses of WrongParameterException in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs that throw WrongParameterException
Modifier and Type
Method
Description
`private void`
IFFCodec.`checkAndLoad()`
`void`
ImageCodec.`checkBounds(int width, int height)`
If bounds were defined for this codec, this method tests if the bounds rectangle fits into the rectangle `(0, 0) / (width - 1, height - 1)`.
`void`
ImageCodec.`checkImageResolution()`
If an image object was provided to be used for loading via `ImageCodec.setImage(net.sourceforge.jiu.data.PixelImage)`, this method checks if its resolution is the same as the bounds' resolution.
`private void`
PNMCodec.`load()`
Loads an image from a PNM input stream.
`private void`
PNMCodec.`loadBilevelImage()`
`private PixelImage`
IFFCodec.`loadImage(DataInput in)`
Loads an image from given input stream in, regarding the compression type.
`private void`
PalmCodec.`loadImage(DataInput in)`
`void`
PalmCodec.`process()`
`private void`
RASCodec.`readHeader()`
`private void`
GIFCodec.`save()`
`private void`
PNMCodec.`save()`
`private void`
RASCodec.`save()`
`private void`
RASCodec.`saveHeader(PixelImage image)`

## Uses of WrongParameterException in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff that throw WrongParameterException
Modifier and Type
Method
Description
`private void`
TIFFCodec.`load()`
Attempts to load an image from a file in the TIFF format.
`private void`
TIFFCodec.`load(TIFFImageFileDirectory ifd)`

## Uses of WrongParameterException in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color that throw WrongParameterException
Modifier and Type
Method
Description
`private void`
Invert.`prepare(PixelImage in)`
`void`
Invert.`process()`
Inverts the input image, reusing an output image if one has been specified.

## Uses of WrongParameterException in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment that throw WrongParameterException
Modifier and Type
Method
Description
`void`
Brightness.`process()`
`void`
Contrast.`process()`
`void`
GammaCorrection.`process()`
`void`
HueSaturationValue.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis that throw WrongParameterException
Modifier and Type
Method
Description
`void`
Histogram1DCreator.`process()`
`void`
Histogram3DCreator.`process()`
`void`
MeanDifference.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering that throw WrongParameterException
Modifier and Type
Method
Description
`void`
ClusteredDotDither.`process()`
`void`
ErrorDiffusionDithering.`process()`
Quantizes the input image, distributing quantization errors to neighboring pixels.
`void`
OrderedDither.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion that throw WrongParameterException
Modifier and Type
Method
Description
`private void`
PromotionGray16.`prepare(PixelImage in)`
`private void`
PromotionGray8.`prepare(PixelImage in)`
`private void`
PromotionPaletted8.`prepare(PixelImage in)`
`private void`
PromotionRGB24.`prepare(PixelImage in)`
`private void`
PromotionRGB48.`prepare(PixelImage in)`
`void`
PromotionGray16.`process()`
`void`
PromotionGray8.`process()`
`void`
PromotionPaletted8.`process()`
`void`
PromotionRGB24.`process()`
`void`
PromotionRGB48.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization that throw WrongParameterException
Modifier and Type
Method
Description
`void`
OctreeColorQuantizer.`init()`
Creates an octree and prepares this quantizer so that colors can be mapped to palette index values.
`void`
ArbitraryPaletteQuantizer.`process()`
Maps the input image to an output image, using the palette given to the constructor.
`void`
MedianCutContourRemoval.`process()`
`void`
MedianCutQuantizer.`process()`
`void`
OctreeColorQuantizer.`process()`
Initializes an octree, reduces it have as many leaves (or less) as the desired palette size and maps the original image to the newly-created palette.
`void`
PopularityQuantizer.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction that throw WrongParameterException
Modifier and Type
Method
Description
`static PixelImage`
RGBToGrayConversion.`convert(PixelImage rgbImage)`
Static convenience method to convert an RGB image to a grayscale image.
`void`
AutoDetectColorType.`process()`
`void`
ReduceRGB.`process()`
`void`
ReduceShadesOfGray.`process()`
`void`
ReduceToBilevelThreshold.`process()`
`private void`
ReduceToBilevelThreshold.`process(GrayIntegerImage in, BilevelImage out)`
`void`
RGBToGrayConversion.`process()`
`private void`
RGBToGrayConversion.`process(Paletted8Image in)`
`private void`
RGBToGrayConversion.`process(RGB24Image in)`
`private void`
RGBToGrayConversion.`process(RGB48Image in)`

## Uses of WrongParameterException in net.sourceforge.jiu.filters

Methods in net.sourceforge.jiu.filters that throw WrongParameterException
Modifier and Type
Method
Description
`void`
AreaFilterOperation.`process()`
`void`
ConvolutionKernelFilter.`process()`
`void`
OilFilter.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.geometry

Methods in net.sourceforge.jiu.geometry that throw WrongParameterException
Modifier and Type
Method
Description
`private void`
Crop.`checkBounds()`
`void`
Crop.`process()`
`void`
Flip.`process()`
`void`
Mirror.`process()`
`void`
Resample.`process()`
`void`
Rotate180.`process()`
`void`
Rotate90Left.`process()`
`void`
Rotate90Right.`process()`
`void`
ScaleReplication.`process()`
`void`
Shear.`process()`

## Uses of WrongParameterException in net.sourceforge.jiu.ops

Methods in net.sourceforge.jiu.ops that throw WrongParameterException
Modifier and Type
Method
Description
`void`
ImagesToImageOperation.`ensureImagesHaveSameResolution()`
Checks if all images have the same resolution as given by their getWidth and getHeight methods.
`void`
ImageToImageOperation.`ensureImagesHaveSameResolution()`
If both an input and an output image have been specified (both non-null), this method compares their width and height properties and throws an exception if the two images do not have the same resolution.
`void`
ImagesToImageOperation.`ensureOutputImageResolution(int width, int height)`
If an output image has been specified this method will compare its resolution with the argument resolution and throw an exception if the resolutions differ.
`void`
ImageToImageOperation.`ensureOutputImageResolution(int width, int height)`
If an output image has been specified this method will compare its resolution with the argument resolution and throw an exception if the resolutions differ.
`void`
LookupTableOperation.`prepareImages()`
`void`
LookupTableOperation.`process()`
`void`
Operation.`process()`
This method does the actual work of the operation.